This is ./gmerlin.info, produced by makeinfo version 4.8 from
./gmerlin.texi.

   This manual is for Gmerlin (version 0.4.1, 9 January 2008).

   Copyright (C) 2001-2008 Members of the Gmerlin project.

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.1 or any later version published by the Free Software
     Foundation; with no Invariant Sections, with the Front-Cover Texts
     being "A GNU Manual," and with the Back-Cover Texts as in (a)
     below.  A copy of the license is included in the section entitled
     "GNU Free Documentation License."

     (a) The FSF's Back-Cover Text is: "You have freedom to copy and
     modify this GNU Manual, like GNU software.  Copies published by
     the Free Software Foundation raise funds for GNU development."


File: gmerlin.info,  Node: Top,  Next: Basics,  Prev: (dir),  Up: (dir)

Gmerlin userguide
*****************

Gmerlin user guide.

   This manual is for Gmerlin (version 0.4.1, 9 January 2008).

   Copyright (C) 2001-2008 Members of the Gmerlin project.

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.1 or any later version published by the Free Software
     Foundation; with no Invariant Sections, with the Front-Cover Texts
     being "A GNU Manual," and with the Back-Cover Texts as in (a)
     below.  A copy of the license is included in the section entitled
     "GNU Free Documentation License."

     (a) The FSF's Back-Cover Text is: "You have freedom to copy and
     modify this GNU Manual, like GNU software.  Copies published by
     the Free Software Foundation raise funds for GNU development."

* Menu:

* Basics::
* Installation::
* General usage information::
* Applications::
* Plugins::
* FAQ::
* Get involved::


File: gmerlin.info,  Node: Basics,  Next: Installation,  Prev: Top,  Up: Top

1 Basics
********

This manual should help you to get familiar with gmerlin software. The
gmerlin software is quite modular, because it consists of multiple
packages, most of which can be used independently. In this document, it
is assumed, that you have all packages installed (See Installation
below).


File: gmerlin.info,  Node: Installation,  Next: General usage information,  Prev: Basics,  Up: Top

2 Installation
**************

* Menu:

* Requirements::
* Compilation and installation::
* Binary codecs::


File: gmerlin.info,  Node: Requirements,  Next: Compilation and installation,  Up: Installation

2.1 Requirements
================

For compiling x264, you need nasm (http://nasm.sourceforge.net/) (yasm
(http://www.tortall.net/projects/yasm/) on x86_64).  They are included
in most distributions. Required libraries can be installed from source
or from binary packages. In the latter case, you must install the
development packages (e.g. libfoo-devel-1.2.3-4.i386.rpm) also. This is
what you need:

_Alsa (http://www.alsa-project.org/)_
     It's the recommended audio architecture

_esound (http://www.tux.org/~ricdude/EsounD.html)_
     Only needed if neither Alsa nor OSS work for you.

_flac (http://flac.sourceforge.net/)_
     For en-/decoding flac files (optional).

_gtk-2.4.x (http://www.gtk.org/)_
     This is needed for compiling the GUI applications. Without it
     you'll get just the core library, which won't be of much use.

_libjpeg (http://www.ijg.org/)_
     For reading and writing single JPEG images (strongly recommended)

_libpng (http://www.libpng.org/pub/png/libpng.html)_
     For reading and writing single PNG images (strongly recommended).
     Also for decoding png encoded Quicktime and AVI files

_libtiff (http://www.remotesensing.org/libtiff/)_
     For reading and writing single TIFF images (Optional)

_libxml (http://www.xmlsoft.org/)_
     Required. All kinds of configuration files as well as the media
     tree are xml based.

_vorbis (http://www.vorbis.com/)_
     Needed for en-/decoding Vorbis files. Also required for the theora
     encoding.

_libmusicbrainz (http://musicbrainz.org/products/client/index.html)_
     Needed for getting Audio CD metadata using musicbrainz
     (http://musicbrainz.org/)

_libcddb (http://libcddb.sourceforge.net/)_
     Needed for getting Audio CD metadata from CDDB servers

_Headers for libXv and libXinerama_
     These are usually shipped with X11 but some distributions pack the
     header files separately (e.g. libxv-dev, libxinerama-dev). libXv
     is needed for hardware accelerated video playback, libXinerama
     adds support for multi-screen configurations.

_libsmbclient (http://www.samba.org/)_
     For loading smb:// URLs (optional).

_libvisual (http://sourceforge.net/projects/libvisual)_
     For using libvisual plugins (optional).

_Ladspa plugins (http://www.ladspa.org)_
     Optional for audio filters/effects. Good experiences were made with
     the plugin packages cmt (http://www.ladspa.org/cmt/), swh-plugins
     (http://plugin.org.uk) and tap-plugins
     (http://tap-plugins.sourceforge.net). Gmerlin looks for them at
     runtime, so you can install them at any time.


   From now on, there are 2 ways to proceed:
   * You can download the gmerlin-dependencies
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=151779)
     package, unpack it and install it using the instructions in the
     README file.  A full dependencies install will provide you with
     the complete codec support, but some packages you already have
     might be installed a second time.  Everything, however, gets into
     /opt/gmerlin, so there will be no conflicts.

   * To have more control over the process, download and install the
     libraries listed below manually.

_libcdio (http://www.gnu.org/software/libcdio/)_
     Neccessary for the VCD, Audio CD and DVD plugins.

_faad2 (http://www.audiocoding.com/)_
     Needed for MPEG-4 audio support (mp4, aac files).

_faac (http://www.audiocoding.com/)_
     Needed for MPEG-4 audio encoding (.aac files) and for AAC encoding
     via libquicktime.

_FFmpeg (http://www.ffmpeg.org/)_
     Many codecs, strongly recommended. You should get a sufficiently
     new version from ffmpeg SVN
     (http://ffmpeg.mplayerhq.hu/download.html) and use -enable-shared
     when calling configure. Another option is the version in the
     gmerlin-dependencies
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=151779)
     package.

_lame (http://www.mp3dev.org/)_
     For encoding mp3 files and AVIs with mp3 audio streams with
     libquicktime.

_mad (http://mad.sourceforge.net/)_
     For playing MPEG-1/2 audio (e.g. mp3)

_libdvdread (http://freshmeat.net/redir/libdvdread/17926/url_homepage/downloads.shtml)_
     For playing DVDs. Gmerlins method of accessing DVD drives doesn't
     differ much from others. Thus, DVD playback howtos found in the web
     apply for gmerlin as well.

_x264 (http://developers.videolan.org/x264.html)_
     For H.264 encoding with libquicktime.

_libdca (http://www.videolan.org/developers/libdca.html)_
     For decoding DTS streams.

_libmpeg2 (http://libmpeg2.sourceforge.net/)_
     For decoding MPEG-1/2 Video (like .mpg files and DVD video)

_liba52 (http://liba52.sourceforge.net/)_
     For playing AC3 (aka DVD audio) streams.

_libmpcdec (http://www.musepack.net/)_
     For playing musepack files (optional).

_theora (http://www.theora.org/)_
     For en-/decoding theora video (optional).

_speex (http://www.speex.org/)_
     For en-/decoding Speex streams (optional).

_libquicktime (http://libquicktime.sourceforge.net/)_
     Optional, for the libquicktime based encoding and decoding plugins.
     Mostly necessary if you want to encode video. For decoding
     Quicktime, gmerlin_avdecoder is a lot better.

_mjpegtools (http://mjpeg.sourceforge.net/)_
     Optional for en-/decoding yuv4mpeg streams and for encoding high
     quality MPEG video using mpeg2enc and friends.



File: gmerlin.info,  Node: Compilation and installation,  Next: Binary codecs,  Prev: Requirements,  Up: Installation

2.2 Compilation and installation
================================

If you downloaded a release, make sure, that you have the latest
version of all packages. Alternatively, you can download the latest
gmerlin-all-in-one
(http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=151778)
package. It contains all source packages together with optional scripts
to build and install them. Check the included README file.

   We always try to be compatible ther GNU build system. This means,
that all gmerlin packages are compiled using the usual `./configure;
make; su; make install' prodecure. Type `./configure --help' to see the
supported options.

   The order is the following:

   * gavl
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=50349)

   * gmerlin
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=14511)

   * gmerlin_avdecoder
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=124659)

   * gmerlin-encoders
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=152799)

   * gmerlin-visualizer
     (http://sourceforge.net/project/showfiles.php?group_id=19684&package_id=124661)


File: gmerlin.info,  Node: Binary codecs,  Prev: Compilation and installation,  Up: Installation

2.3 Binary codecs
=================

These must be downloaded from the MPlayer codec page
(http://www1.mplayerhq.hu/MPlayer/releases/codecs/). Download the file
essential-YYYYMMDD.tar.bz2, where YYYYMMDD is some date. Unpack the
.tar.bz2 and move the included files to /usr/lib/codecs. At this
location, the DLLs will also be found by other players.


File: gmerlin.info,  Node: General usage information,  Next: Applications,  Prev: Installation,  Up: Top

3 General usage information
***************************

* Menu:

* Configuration data::
* GUI::
* GML Syntax: gml.
* Setting parameters from the commandline::


File: gmerlin.info,  Node: Configuration data,  Next: GUI,  Up: General usage information

3.1 Configuration data
======================

They are saved in the directory `~/.gmerlin', which has subdirectories
for all applications. The directory "generic" stores common
configuration data for applications, which have no config dialog.
Plugins used by these programs can be configured with the
gmerlin_plugincfg application. If a program misbehaves, especially
after a version upgrade, delete the file
`~/.gmerlin/application_dir/config.xml', where `application_dir'
corresponds to the application. Normally, this shouldn't be necessary.


File: gmerlin.info,  Node: GUI,  Next: gml,  Prev: Configuration data,  Up: General usage information

3.2 GUI
=======

* Menu:

* Introduction: gui_intro.
* Static and dynamic parameters: gui_statdyn.
* Configuring input plugins: gui_i.
* Configuring filters: gui_f.
* Log messages: gui_log.
* Tips: gui_tips.


File: gmerlin.info,  Node: gui_intro,  Next: gui_statdyn,  Up: GUI

3.2.1 Introduction
------------------

We try to make this as consistent as possible across the applications.
In many windows, you'll see context sensitive menus when you right
click somewhere. Furthermore, tooltips are enabled in all programs by
default. You can, however, switch them off if they bother you.


File: gmerlin.info,  Node: gui_statdyn,  Next: gui_i,  Prev: gui_intro,  Up: GUI

3.2.2 Static and dynamic parameters
-----------------------------------

All GUI applications have their own configuration data.  This means,
that plugin configurations are not shared between these applications.

   There is a strict separation between static and plugin dependent
configurations.

   Most applications have one or more config dialogs which let you
change settings either for several subsystems of the application or for
plugins, depending on the context.  To change the plugins themselves,
there are separate plugin dialogs which let you select and configure
plugins.

   It might be a bit tricky to find out if a special option can be set
via the the plugin dialog or via the global config dialog. The general
rule is: All features, which are supported by the core architecture,
are configured in some global dialog. You can expect them to be present
on every gmerlin installation of the same version. The plugin options
vary depending on what plugins are installed (that's the reason, why
they are separated).


File: gmerlin.info,  Node: gui_i,  Next: gui_f,  Prev: gui_statdyn,  Up: GUI

3.2.3 Configuring input plugins
-------------------------------

This dialog lets you control, how input plugins (or image reader
plugins) are loaded. The widgets on the right are valid for the plugin,
which is selected on the left. You have the following options:

Parameters
     Lets you set parameters of the plugin. These will be valid when an
     instance of the plugin is opened the next time. If you configure
     hardware plugins in the player, you must close and reopen all
     device albums for the changes to become effective.  For plugins,
     which have no options, this button is disabled.

Info
     Pops up a window showing much of the information, which is known
     to the plugin registry.

Priority
     This lets you change the priority of the plugin, if multiple
     plugins are available for a gml. The value can be between 1 and
     10. Usually, the default priorities are ok. But for image files,
     the priorities of the "Image stills input plugin" and the "Image
     video input plugin" decide, whether images are displayed as a
     slideshow or a video.

Protocols
     Lets you configure the supported network protocols. The protocols
     should rarely be changed and changes are overwritten by a new
     install of the plugin. For plugins, which don't support network
     streams, the protocols cannot be changed.

Extensions
     Lets you configure the file extensions, which are associated with
     the plugin.  If you change the extensions, they are overwritten by
     a new install of the plugin.  That's a good reason to report
     missing file extensions to the developers.


File: gmerlin.info,  Node: gui_f,  Next: gui_log,  Prev: gui_i,  Up: GUI

3.2.4 Configuring filters
-------------------------

This dialog lets you build a filter chain to apply additional changes
to the A/V data. The GUI player will apply most changes during playback
(reinitializing the playback pipelines if necessary), the transcoder
can change filter chains only per track. The filters are processed in
top-to-bottom order.

   You have the following buttons:

Add filter
     Pops up a dialog, which will let you add new filters to the chain.
     Filter are always added to the end of the chain.

Remove filter
     Deletes the currently selected filter

Configure filter
     Set parameters of the currently selected filter

Move to top
     Move filter to the top (= the beginning) of the chain

Move up
     Move filter up by one

Move down
     Move filter down by one

Move to top
     Move filter to the bottom (= the end) of the chain

   Note for the player

   Even though filter parameters are changed on the fly, pressing
"cancel", without pressing "apply" before will revert all changes you
made.


File: gmerlin.info,  Node: gui_log,  Next: gui_tips,  Prev: gui_f,  Up: GUI

3.2.5 Log messages
------------------

Messages from pretty much everywhere in the applications are sent
through the logging mechanism, and finally show up in the log window.
It's the first place to look, if something does not work as expected
(e.g. an URL does not load).  There are 4 different types of messages,
error, warning, info and debug. In the configuration for the log
window, you can select, which message you want to see, the colors of
the messages and the history size.


File: gmerlin.info,  Node: gui_tips,  Prev: gui_log,  Up: GUI

3.2.6 Tips
----------

   * Many buttons, which are associated with a list, are disabled
     unless you select an item in the list

   * Doubleclicking onto the background of a slider (*not* the slider
     itself) resets it to the       factory default


File: gmerlin.info,  Node: gml,  Next: Setting parameters from the commandline,  Prev: GUI,  Up: General usage information

3.3 GML Syntax
==============

GMLs (Gmerlin media locations) are pretty much similar to URLs or MRLs
with the difference, that device plugins support passing the device.
This makes it possible to use gmls with hardware setups, which have
multiple devices for each plugin.

   A gml can be:

*A regular filename
     Optionally preceeded with "file://". This means, that
     /files/music.mp3 is the same as file:///files/music.mp3.

*A dash "-" or the string "stdin://" for reading from stdin

*Any valid network URL
     Examples: http://webstream.example.com:8080,
     ftp://user:pass@ftp.example.com/music.mp3

*A "hardare protocol" followed by the device like cda:///dev/hdc.
     Known hardware protocols are cda (Audio CD), vcd, dvd and dvb. The
     supported protocols may vary according to your installation.


File: gmerlin.info,  Node: Setting parameters from the commandline,  Prev: gml,  Up: General usage information

3.4 Setting parameters from the commandline
===========================================

Gmerlin configuration handling provides the same features for both GUI
applications and commandline programs. The natural result is, that the
commandline syntax is a bit more complicated, since parameters can be
nested.

   In General options have the form

   `'parameter1=value1:parameter2=value2...''

   The quotes are necessary, if the string contains characters, which
have a special meaning for the shell.

   The syntax of values depends on the type:
*Boolean*
     Value can be either 0 or 1.

*Integer values*
     An integer number.

*Float values*
     A floating point (i.e. fractional) number.

*Strings*
     A string. Colons ':' should be escaped with '\'.

*Time*
     Time is in the format `{[[HH:]MM:]SS}' while the seconds can be
     fractional. Hours and Minutes are optional, thus any format of
     `{5.5}', `{0:05.5}' or `{0:00:05.5'} is valid for a time of 5.5
     seconds. Writing `0' instead of `00' is also ok.

*Enumeration with suboptions*
     Value is in the form
     `string[{subparameter1=subvalue1:subparameter2=subvalue2...}]'.
     The subparameters are optional. E.g. if the option is for
     selecting a plugin, setting string to `foo' will select the plugin
     `foo' and pass the subparameters (if avaliable) to the `foo'
     plugin.

*List or chain with suboptions*
     This is like enumeration with suboptions with the difference, that
     you can concatenate multiple options together with colons (:) and
     must enclose everything with braces. For example:

     `{opt1{param1=value1}:opt2{param2=value2}}'

     If you use `-help', you'll also see supported ranges for numeric
     types, or supported options for strings (if available).



File: gmerlin.info,  Node: Applications,  Next: Plugins,  Prev: General usage information,  Up: Top

4 Applications
**************

* Menu:

* GUI Player::
* Player remote control::
* GUI Transcoder::
* Transcoder remote control::
* Commandline player::
* Alsamixer::
* Visualizer::
* Keyboard daemon::


File: gmerlin.info,  Node: GUI Player,  Next: Player remote control,  Up: Applications

4.1 GUI Player
==============

Type `gmerlin' with optionally any number of files or URLs to start
this.

* Menu:

* Invoking gmerlin: gmerlin_player_usage.
* Main window::
* Media tree::
* Video window::
* Track information: gmerlin_player_trackinfo.
* Configuring playback pipelines: gmerlin_player_avconfig.
* Shortcuts: gmerlin_player_shortcuts.


File: gmerlin.info,  Node: gmerlin_player_usage,  Next: Main window,  Up: GUI Player

4.1.1 Invoking gmerlin
----------------------

Synopsis
     gmerlin [Optionen] [gmls...]
Description
     Gmerlin GUI Spieler
Generic options
     The following generic options are available for all gmerlin
     applications
    -help
          Print this help message and exit
    -help-man
          Print this help message as a manual page and exit
    -help-texi
          Print this help message in texinfo format and exit
    -version
          Print version info and exit

Umgebungsvariablen

    `GMERLIN_PLAYER_REMOTE_PORT'
          Voreingestellter Port für die Fernbedienung

Dateien

    `~/.gmerlin/plugins.xml'
          Zwischenspeicher für die Plugin-Registry (von allen
          Programmen gemeinsam benutzt)
    `~/.gmerlin/player/config.xml'
          Wird für Konfigurationsdaten benutzt. Lösche diese Datein,
          wenn Du meinst was zerschossen zu haben.
    `~/.gmerlin/player/tree/tree.xml'
          Mediatree wird hier gespeichert. Alben werden als separate
          Dateien im gleichen Verzeichnis gespeichert


File: gmerlin.info,  Node: Main window,  Next: Media tree,  Prev: gmerlin_player_usage,  Up: GUI Player

4.1.2 Main window
-----------------

It's a usual player window, with self explanatory buttons.

* Menu:

* Main menu: player_mainmenu.
* Display: player_display.


File: gmerlin.info,  Node: player_mainmenu,  Next: player_display,  Up: Main window

4.1.2.1 Main menu
.................

The menu button will show the main menu of the player. Here, you can
control practically the whole application:

Audio, video and subtitles
     See *Note Configuring playback pipelines: gmerlin_player_avconfig.

Chapters
     Chapters in gmerlin are just seekpoints with optional labels.  If
     an input plugin supports chapters (e.g. of DVDs), gmerlin will
     make them available through the chapter menu.

Visualizations
     If the upper menu item is enabled and the video window isn't used
     otherwise, Visualizations will be turned on.  The audio stream of
     an Audio/video track can be visualized by disabling the video
     stream of that file (See *Note Configuring playback pipelines:
     gmerlin_player_avconfig.).

     Then you can set some plugin-independent options and finally the
     plugin itself . The menu for visualization plugin works exactly
     the same as for output plugins (See *Note Configuring playback
     pipelines: gmerlin_player_avconfig.).

Windows
     Here, you can show or hide the *Note Log window: gui_log, the
     *Note Track info window: gmerlin_player_trackinfo. and the *Note
     Media tree::.

Options
     Here, you can set Preferences , configure *Note Input plugins:
     gui_i.  , select skins or configure the *Note Keyboard daemon::.

Commands
     Here you have some commonly used commands. The good news about the
     shortcuts is, that they work in the media tree and in the video
     window as well.

     Only exception are the shortcuts, which map to ASCII-characters
     (Pause and Seek to start), they don't work in the media tree and
     in albums.

     Use this menu as a quick-help for all global shortcuts.

Accessories
     Here, you can conventiently fire up some other gmerlin applications
     like the *Note GUI Transcoder::, the *Note Visualizer:: and the
     *Note Alsamixer::.



File: gmerlin.info,  Node: player_display,  Prev: player_mainmenu,  Up: Main window

4.1.2.2 Display
...............

The display is divided into several areas. Left of the time display,
gmerlin shows an icon denoting the current operation mode (playing,
paused etc.). Right of the time display, you have 2 fields. By
left-clicking into the upper field, you can change the displayed time
value. Options are
Default
     Time is counted since track start

ALL
     Time is counted since album start

REM
     Remaining time until track end

ALL REM
     Remaining time until album end

   In the lower field, you can left-click to change the repeat mode.
Options are no repeat, repeat current track and repeat current album.

   At the bottom, there is the scrolltext. It displayes the name of the
currently played track (which can change e.g. for live radio stations),
or a brief error messages if something goes wrong. Note, that in the
latter case, you get more information from the *Note Log Window:
gui_log.


File: gmerlin.info,  Node: Media tree,  Next: Video window,  Prev: Main window,  Up: GUI Player

4.1.3 Media tree
----------------

The media tree can be used to store and organize your media collection.
It consists of virtual folders called _albums_. You can create albums,
subalbums and move stuff between them like you want. The media files
always stay at the same place in the filesystem. The albums can be
either in own windows (Windowed mode) or as tabs in the tree window
(tabbed mode). You cah switch this with the right-click menu of the
tree widget.  The tree- and album windows remember their screen
positions.

* Menu:

* Tree widget: player_treewidget.
* Album widget: player_albumwidget.


File: gmerlin.info,  Node: player_treewidget,  Next: player_albumwidget,  Up: Media tree

4.1.3.1 Tree widget
...................

Doubleclicking an album opens it if it was closed or vice versa.

   Creating albums is done by right selecting the parent album in the
tree and click the "New album" button or "Album->New" in the
right-click menu. In the new empty album, you can then load files or
URLs. Another option to import whole directory trees, is to click
"Album->New from directory". It will pop up a directory selection
dialog.  The directory can optionally be scanned recursively. The
tracks are either in one (flat) album, or in subalbums according to the
directory structure.  Note that importing large directories takes some
time.

   Deleting albums is done by selecting them in the tree and clicking
the "remove" button (or by choosing Album->Remove in the right click
menu. Please note the following:

   * Removing albums is done without confirmation

   * All subalbums are removed as well

   * This (as well as removing tracks) cannot be undone

   * Good news: gmerlin never removes media files from disk

   Moving albums is done with Drag & Drop

   Loading files or URLs into an open or closed album can be done by
dragging it from a filemanager or webbrowser into the target album in
the tree widget.

   Some special albums are automatically created in addition to the
regular albums (which are created by you):

   * _Incoming:_

     It's the destination for tracks, which come from the comandline or
     from the remote.

   * _Favourites:_

     Each regular album has a Favourites button , which lets you copy
     the selected tracks to the favourites. It's useful for quickly
     making a selection of tracks from multiple different albums.

   * _Plugin and device albums:_

     Each plugin, which handles devices like removable disc drives or
     tuners will create a plugin album. The available devices are then
     autoscanned and added as subalbums. Device albums are a bit
     limited: You can delete or reorder tracks, but you cannot move
     tracks from/to other albums.



File: gmerlin.info,  Node: player_albumwidget,  Prev: player_treewidget,  Up: Media tree

4.1.3.2 Album widget
....................

The album widget can either be in an own window (when the tree is in
tabbed mode) or in a notebook right of the tree widget. It lists all
tracks of that album.  At the bottom there is a toolbar and a display
of the total playback time of the album.

   A track in gmerlin is a piece of media, which can have an arbitrary
number of audio-, video- and subtitle streams. A track can be divided
into chapters (which are just seekpoints). Some files (like ALBW
wrapped mp3s or concatenated Ogg streams), will show up as multiple
tracks. You can move them around in the whole tree as if they were
separate files.

   Doubleclicking an album opens it if it was closed or vice versa.

   The right click menu offers lots of options and shortcuts, not all
of them are documented here.

   Adding tracks can happen in multiple ways:

   * Drag Files or URLs from filenanagers or webbrowsers into an album

   * Use the buttons in the album toolbar, or the right click menu

   Drag and Drop is supported:
   * From most webbrowsers and filenmanagers into the album (see above)

   * From one regular album to another. By default, tracks are moved.
     Press the <CTRL>-key before dragging, and the tracks will be
     copied.

   * Inside all albums to sort the tracks

   * From an album window into the tree window to transfer tracks to
     another album

   * From the album to text editors or graphics programs, which support
     dropping text. You'll get a string representation of the tracks,
     which will make designing disk covers easier.

   Error tracks are tracks, which failed to load last time you tried.
They are marked red but remain in the album. If they are on removable
disks or in the network, you might retry playing them when they become
available. To delete all error tracks, go to "Select error tracks" in
the right click menu to select them. Then, press `<CTRL>+DELETE' to get
rid of them.

   For keyboard commands, see *Note Shortcuts: gmerlin_player_shortcuts.


File: gmerlin.info,  Node: Video window,  Next: gmerlin_player_trackinfo,  Prev: Media tree,  Up: GUI Player

4.1.4 Video window
------------------

This comes only when gmerlin has to show some video or still images. It
is created and owned by the video output plugin (i.e. it has nothing to
do with the core GUI). Currently, only an X11 plugin is available. It
has some special features: You can zoom or squeeze the image to make
your favourite tradeoff between aspect ratio distortion, black borders
or cropped images. All global gmerlin *Note Shortcuts:
gmerlin_player_shortcuts. work also in the video window, as well as
some special ones.


File: gmerlin.info,  Node: gmerlin_player_trackinfo,  Next: gmerlin_player_avconfig,  Prev: Video window,  Up: GUI Player

4.1.5 Track information
-----------------------

Here, you see detailed information of the currently (or last) played
track in a tree structure. The right-click menu lets you copy either
the whole contents or the currently selected row to the clipboard as
plain text.


File: gmerlin.info,  Node: gmerlin_player_avconfig,  Next: gmerlin_player_shortcuts,  Prev: gmerlin_player_trackinfo,  Up: GUI Player

4.1.6 Configuring playback pipelines
------------------------------------

The configuration for audio, video and subtitle handling is almost the
same.

   Stream menu

   For each category, you have a stream menu.

   In the upper part, you can select the available streams.  You can
also switch the stream off.

   In the lower part, you can set global (= plugin independent) options
, Filters  (See *Note Configuring filters: gui_f.)  and the output
plugin .

   Output plugin menu

   In the upper part, you can change the output plugin (even during
playback).  In the lower part, you can configure the plugin or show
information about the plugin.


File: gmerlin.info,  Node: gmerlin_player_shortcuts,  Prev: gmerlin_player_avconfig,  Up: GUI Player

4.1.7 Shortcuts
---------------

The following global shortcuts are available in the main window, the
media tree including albums and the video window:

`<CTRL>+G'
     Pop up current album and goto current track

`<CTRL>+O'
     Pop up preferences dialog

`<CTRL>+P'
     Pop up input plugin dialog

`<CTRL>+Q'
     Quit program

`<CTRL>+PAGEDOWN'
     Goto next track

`<CTRL>+PAGEUP'
     Goto previous track

`<CTRL>+<SHIFT>+PAGEDOWN'
     Goto next chapter

`<CTRL>+<SHIFT>+PAGEUP'
     Goto previous chapter

`<CTRL>+RIGHT'
     Seek forward

`<CTRL>+LEFT'
     Seek backward

`<SHIFT>+RIGHT'
     Decrease volume

`<SHIFT>+LEFT'
     Increase volume

`<CTRL>+M'
     Toggle mute

`0'
     (Zero) Seek to start. This is not available in the media tree and
     the albums.

`Space'
     Toggle pause. This is not available in the media tree and the
     albums.

`<CTRL>+G'
     Goto current track. This raises the current album and moves to the
     current track within that album.

`F9'
     Copy current track to favourites

`<CTRL>+Q'
     Quit gmerlin

   The following additional chortcuts are available in the *Note Video
window:::

`CTRL+PLUS/MINUS'
     Increase/decrease aspect ratio (squeeze). Zoom and squeeze are a
     simple way to choose your personal tradeoff between aspect ratio
     distortion, missing image parts and black borders.

`CTRL+MOUSEWHEEL'
     Increase/decrease aspect ratio (squeeze).

`ALT+PLUS/MINUS'
     Increase/decrease zoom factor

`ALT+MOUSEWHEEL'
     Increase/decrease zoom factor

`<CTRL>+HOME'
     Reset zoom and squeeze

`HOME'
     Resize the window to the size of the video. If the video has
     nonsquare pixels, the window width is adjustetd accordingly.

`<SHIFT>+HOME'
     Shrink the window such that no black borders are visible abound
     the video

`B/b'
     Increase/decrease brightness.

`S/s'
     Increase/decrease saturation.

`C/c'
     Increase/decrease contrast.

     Brightness, saturation and contrast work only, if the hardware and
     the currently used display driver support this.

`TAB'
     Toggle fullscreen/windowed mode

`f'
     Toggle fullscreen/windowed mode

`Esc'
     Exit fullscreen mode

   The following additional shortcuts are available inside *Note
albums: player_albumwidget.:

`UP/DOWN'
     Move the cursor one track up/down

`PAGEUP/PAGEDOWN'
     Move the cursor one page up/down

`Mousewheel'
     Scroll

`SHIFT+UP/DOWN'
     Move the cursor one track up/down and select track

`SHIFT+PAGEUP/PAGEDOWN'
     Move the cursor one page up/down and select tracks

`<CTRL>+UP/DOWN'
     Move the cursor one track up/down and unselect track

`ALT+HOME'
     Move selected tracks to the top

`ALT+END'
     Move selected tracks to the bottom

`ALT+MOUSEWHEEL'
     Increase/decrease zoom factor

`<CTRL>+C'
     Copy selected tracks to clipboard

`<CTRL>+X'
     Cut selected tracks to clipboard

`<CTRL>+V'
     Paste tracks from clipboard at the current cursor position

`<CTRL>+DELETE'
     Delete selected tracks

`<CTRL>+F'
     Search for tracks

`<CTRL>+I'
     Display info about the currently selected track

`F10'
     Copy selected tracks to favourites


File: gmerlin.info,  Node: Player remote control,  Next: GUI Transcoder,  Prev: GUI Player,  Up: Applications

4.2 Player remote control
=========================

`gmerlin_remote' is the command for remotely controlling the GUI
player. It can be used as a helper application if webbrowsers or
filenmanagers or for all kinds of remote control methods (including
keyboard- or infrared-daemons), which can execute arbitrary shell
commands. One example for a generic keyboard daemon, which can call
`gmerlin_remote' is the *Note Gmerlin Keyboard daemon: Keyboard daemon.

* Menu:

* Invoking gmerlin_remote: gmerlin_remote.
* Examples: gmerlin_remote_examples.


File: gmerlin.info,  Node: gmerlin_remote,  Next: gmerlin_remote_examples,  Up: Player remote control

4.2.1 Invoking gmerlin_remote
-----------------------------

Synopsis
     gmerlin_remote [options] command
Description
     Remote control command for the Gmerlin GUI Player
Global options

    -host <hostname>
          Host to connect to, default is localhost
    -port <port>
          Port to connect to
    -launch
          Launch new player if necessary

Commands

    -play
          Play current track
    -next
          Switch to next track
    -prev
          Switch to previous track
    -stop
          Stop playback
    -pause
          Pause playback
    -mute
          Toggle mute
    -add <gml>
          Add <gml> to the incoming album
    -addplay <gml>
          Add <gml> to the incoming album and play it
    -open <device>
          Open album for <device>. Device must be a GML (e.g.
          dvd:///dev/hdd).
    -openplay <device>
          Open album for <device> and play first track. Device must be
          a GML (e.g. dvd:///dev/hdd).
    -volume <volume>
          Set player volume. <volume> is in dB, 0.0 is max
    -volume-rel <diff>
          In- or decrease player volume. <diff> is in dB
    -seek-rel <diff>
          Seek relative. <diff> is in seconds.
    -chapter [num|+|-]
          Go to the specified chapter. Use '+' and '-' to go to the
          next or previous chapter respectively

Generic options
     The following generic options are available for all gmerlin
     applications
    -help
          Print this help message and exit
    -help-man
          Print this help message as a manual page and exit
    -help-texi
          Print this help message in texinfo format and exit
    -version
          Print version info and exit

Environment variables

    `GMERLIN_PLAYER_REMOTE_PORT'
          Default port for the remote control


File: gmerlin.info,  Node: gmerlin_remote_examples,  Prev: gmerlin_remote,  Up: Player remote control

4.2.2 Examples
--------------

`gmerlin_remote -play'
     Play the current track (same as pressing the "play" button)

`gmerlin_remote -host remote.example.com -play'
     Connect to `remote.example.com' and play the current track there

`gmerlin_remote -seek-rel -10.0'
     Seek 10 seconds backwards

`gmerlin_remote -next'
     Go to next track

`gmerlin_remote -chapter +'
     Go to next chapter

`gmerlin_remote -openplay cda:///dev/scd0'
     Open and play an audio CD in the first SCSI drive and start
     playing.  Use commands like this in your desktop configuration for
     handling removable media.

`gmerlin_remote -launch -addplay http://webradio.example.com/stream.ogg'
     Add the given gml to the Incoming album (launching a new player if
     necessary) and play it. Use commands like this as MIME-Handler in
     webbrowsers and filemanagers. A shortcut for this command is the
     script `gmerlin_launcher'.


File: gmerlin.info,  Node: GUI Transcoder,  Next: Transcoder remote control,  Prev: Player remote control,  Up: Applications

4.3 GUI Transcoder
==================

* Menu:

* Invoking gmerlin_transcoder: gmerlin_transcoder.
* Quick intro: gmerlin_transcoder_intro.
* Main window: gmerlin_transcoder_window.
* Configuring encoder plugins: gmerlin_transcoder_enc.
* Configuring tracks: gmerlin_transcoder_tracks.


File: gmerlin.info,  Node: gmerlin_transcoder,  Next: gmerlin_transcoder_intro,  Up: GUI Transcoder

4.3.1 Invoking gmerlin_transcoder
---------------------------------

Synopsis
     gmerlin_transcoder [Optionen]
Description
     GTK Multimediatranscoder
Options

    -p <file>
          Load a profile from the given file

Generic options
     The following generic options are available for all gmerlin
     applications
    -help
          Print this help message and exit
    -help-man
          Print this help message as a manual page and exit
    -help-texi
          Print this help message in texinfo format and exit
    -version
          Print version info and exit

Umgebungsvariablen

    `GMERLIN_TRANSCODER_REMOTE_PORT'
          Voreingestellter Port für die Fernbedienung


File: gmerlin.info,  Node: gmerlin_transcoder_intro,  Next: gmerlin_transcoder_window,  Prev: gmerlin_transcoder,  Up: GUI Transcoder

4.3.2 Quick intro
-----------------

Gmerlin transoder can transcode every supported input file to any of
the supported output files. It has some unique features, which seperate
it from other transcoding applications. Most notably:

Per stream settings
     All settings are configured for each stream separately. This means,
     different streams can have different formats, different filters and
     even different codecs (of course only if the container supports it)

Subtitle support
     There are plugins for exporting subitles to separate files or to
     the same file, where the A/V data gets written. Alternatively, you
     can blend subtitles onto the video frames (for containers, which
     don't support subtitles).

Profile support
     Finding out the right encoder parameters can be a time-consuming
     task.  `gmerlin_transcoder' allows you to save all settings and
     load them later.  Once you have found out your favourite encoder
     settings for a specific task, transcoding is a matter of
        * Loading the profile

        * Adding tracks to the tasklist

        * Clicking the transcode button

Postprocessing support
     There are postprocessors, which take the encoded files and make
     e.g. Audio CDs (with cdtext) from it. It also contains a frontend
     for cdrdao, so you can burn them as well.

Chapter support
     `gmerlin_transcoder' imports all chapter seekpoints from the
     source, and writes them  into the file (currently only supported
     for Quicktime and mp4).  You can also edit chapter lists or create
     new ones

Language codes
     `gmerlin_transcoder' lets you import, edit and export language
     codes for the Audio- and subtitle streams

2 Pass encoding
     For plugins, which support it, we can do 2-transcoding. There is
     also a generic volume normalizer built in.

   There is a *Note tasklist: transcoder_tasklist, in which the tracks
are queued. All newly loaded tracks get the globally configured
settings (plugins, formats, filters). You can then fine-tune the tracks
by configuring them individually. Changing track parameters for
multiple tracks at once isn't possible. Instead, make the settings,
save them to a profile and load the profile before loading the tracks.


File: gmerlin.info,  Node: gmerlin_transcoder_window,  Next: gmerlin_transcoder_enc,  Prev: gmerlin_transcoder_intro,  Up: GUI Transcoder

4.3.3 Main window
-----------------

The window contains of the following elements:

* Menu:

* Menu bar: transcoder_menubar.
* Display: transcoder_display.
* Progress bar: transcoder_progressbar.
* Tasklist: transcoder_tasklist.


File: gmerlin.info,  Node: transcoder_menubar,  Next: transcoder_display,  Up: gmerlin_transcoder_window

4.3.3.1 Menu bar
................

Here you have all global commands and settings.  The item Tasklist has
per track commands and settings.

   File menu

Load tasklist...
     Pops up a file selection dialog and loads the chosen tasklist.
     The tracks are appended to already existing tracks in the list.
     Has a shortcut in the upper toolbar.

Save tasklist...
     Pops up a file selection dialog for saving the current tasklist.
     Has a shortcut in the upper toolbar.

Quit
     Stop the current transcoding action (if any) and quit Has a
     shortcut in the upper toolbar.

   Options menu
Preferences
     Here, you configure the GUI and the default settings for newly
     added tracks.  The preferences are saved in the profile.

Configure plugins
     Here, you set the default plugins for newly added tracks. You can
     configure input plugins (See *Note Configuring input plugins:
     gui_i.)  and encoders (See *Note Configuring encoders:
     gmerlin_transcoder_enc.).  The plugin settings are saved in the
     profile.

Load profile...
     Pops up a file selection dialog and loads the chosen profile.  All
     configuration and plugin settings for new tracks will be changed
     immediately.

Save profile...
     Pops up a file selection dialog for saving the current
     configuration to a profile.


   Actions

Start transcoding
     This will start transcoding of the tracks in the trasklist in
     top-to-bottom order. While transcoding you can still
     add/delete/edit tracks in the list.  Has a shortcut in the upper
     toolbar.

Stop transcoding
     Stops transcoding. If the currently transcoded track is not a live
     stream, the produced files are deleted from disk (unless you
     disable this in the preferences). The currently decoded track is
     moved back to the top of the tasklist.  Has a shortcut in the
     upper toolbar.

   Tasklist

   This menu acts on the tasklist as a whole or the selected track(s).

Add... -> Files...
     Pops up a file selection dialog, which lets you add files
     (optionally with a specific input plugin) to the end of the
     tasklist.  Has a shortcut in the lower toolbar.

Add... -> URLs...
     Pops up a window, which lets you enter an URL (optionally with a
     specific input plugin) to the end of the tasklist.  Has a shortcut
     in the lower toolbar.

Add... -> Drives...
     Pops up a window, which lets open a removeable disk (e.g.  and
     Audio CD) and append it's tracks to the end of the tasklist. You
     must specify the device and the plugin.  Has a shortcut in the
     lower toolbar.

Selected... -> Move up...
     Move the selected tracks to the top of the list, so they will be
     transcoded first.

Selected... -> Move down...
     Move the selected tracks to the bottom of the list, so they will be
     transcoded last

Selected... -> Remove...
     Remove the selected tracks (without confirmation or undo).  Has a
     shortcut in the lower toolbar.

Selected... -> Configure...
     Configure the selected track.  Has a shortcut in the lower toolbar.

Selected... -> Edit chapters...
     Pop up the chapter editor. If the source has chapters, you'll find
     them here. You can also add/delete/move chapters. Chapters can
     also have names (currently only supported by the libquicktime
     encoder).  Has a shortcut in the lower toolbar.

Selected... -> Change encoders...
     Here, you set the encoding plugins of the selected tracks.  (See
     *Note Configuring encoders: gmerlin_transcoder_enc.).  Has a
     shortcut in the lower toolbar.

Edit... -> Cut
     Cut selected tracks to the clipboard.  Has a shortcut in the lower
     toolbar.

Edit... -> Copy
     Copy selected tracks to the clipboard.  Has a shortcut in the
     lower toolbar.

Edit... -> Paste
     Paste tracks or album entries from the *Note GUI Player:: from the
     clipboard. Has a shortcut in the lower toolbar.

Postprocess...
     Pops up a dialog to configure postprocessing.  Postprocessing
     plugins are invoked whenever the tasklist gets empty. It adds all
     tracks, which have been encoded since batch transcoding was
     started.  Postprocessors make some sanity checks of the files they
     get, and won't try to burn e.g. audio CDs with MPEG data.

   Windows

   Here, you can show and hide the *Note log window: gui_log.


File: gmerlin.info,  Node: transcoder_display,  Next: transcoder_progressbar,  Prev: transcoder_menubar,  Up: gmerlin_transcoder_window

4.3.3.2 Display
...............

Displays the currently performed action and the estimated remaining
time for the current action. The time display in the lower right corner
shows the total playback time of the tasklist.


File: gmerlin.info,  Node: transcoder_progressbar,  Next: transcoder_tasklist,  Prev: transcoder_display,  Up: gmerlin_transcoder_window

4.3.3.3 Progress bar
....................

Displays the progress of the current action.


File: gmerlin.info,  Node: transcoder_tasklist,  Prev: transcoder_progressbar,  Up: gmerlin_transcoder_window

4.3.3.4 Tasklist
................

A queue for tracks to be transcoded. Right clicking into the list pops
up a menu, which is the same as in the menubar.

   New tracks can be added in various ways:

   * By dragging files or URLs from filenanagers or webbrowsers into
     the tasklist

   * By using the buttons in lower toolbar or the right click menu

   * From the *Note GUI Player:: by right clicking into an album end
     select Selected->Transcode. If multiple transcoders are open, the
     instance, which listens on the remote port (can be only one at a
     time), gets the track.

   * By dragging tracks from a gmerlin album into the tasklist


File: gmerlin.info,  Node: gmerlin_transcoder_enc,  Next: gmerlin_transcoder_tracks,  Prev: gmerlin_transcoder_window,  Up: GUI Transcoder

4.3.4 Configuring encoders
--------------------------

This dialog exists in the global settings as well as in the per track
settings. It describes a complete encoder setup.

   There are 2 different modes for encoding: Either all A/V streams go
into one file, or into separate files (i.e. it's not possible to group
some A/V streams and write others separately). You control this by
clicking "Encode audio into video file" checkbox. Subtitles can be
written into the video file, or into a separate file. You can select
this independently for text- and overlay subtitles with the
corresponding checkbuttons.

   Note, that some streams are always written to a separate file
(regardless of the check-box settings) if the video encoder plugin
doesn't support streams of that type.

   Then, you can set encoder plugins for each stream type. The menu
selects the plugin. Right of the menu, there are buttons for displaying
plugin info and setting global options (like ID3 generation or
fileformat flavours). These settings can be changed on a per track
basis in the *Note track configuration dialog:
gmerlin_transcoder_tracks.

   Finally, there are the default audio- and video settings. Here, you
mostly configure codec parameters like bitrates, etc.  To further tweak
these settings of a per stream base, you'll find the same options for
each stream in the *Note track configuration dialog:
gmerlin_transcoder_tracks.


File: gmerlin.info,  Node: gmerlin_transcoder_tracks,  Prev: gmerlin_transcoder_enc,  Up: GUI Transcoder

4.3.5 Configuring tracks
------------------------

It's a standard gmerlin configuration dialog, which is built dynamically
depending on the stream layout of the source and the encoder setup. On
the left you see a tree structure of all settings:
General
     Sets global settings like basename of the file and an optional
     subdirectory of the encoding directory, where the file(s) will be
     written. Note, that the toplevel destination directory is
     configured globally, not per track.

     If you select "postprocess only", the input file will be sent
     directly to the postprocessing plugin. Enable this for files,
     which already have a format supported by the postprocessor.

     Finally you can choose to transcode only a certain selection given
     by the start- and/or end time.

Metadata
     Here, any available metadata are imported from the input, and you
     can edit them. Note that not all medatada fields are supported by
     all output formats. Some formats don't support metadata at all.

Global encoder options
     For each enabled encoding plugin, you can configure global
     settings here.

Stream options
     For each stream, you have Generic options. Here you can en- or
     disable the stream, set the language and the format. In addition
     for subtitles, you can choose whether to convert text- to overlay
     subtitles, blend subtitles onto video frames or encode them
     separately.

     For Audio and video streams, you can also set up *Note filters:
     gui_f.

     For text subtitles, the render options let you configure the font
     and colors of the subtitles, if they are converted to overlay
     subtitles.

     The default format of subtitles is for the rare case, that you want
     to convert subtitles to a video stream. It's only used if you
     encode subtitles but no corresponding video stream.

     The last tree- node for each stream has always the codec option of
     the output plugin for the respective streams. Here, you can change
     encoder settings for each stream separately.


File: gmerlin.info,  Node: Transcoder remote control,  Next: Commandline player,  Prev: GUI Transcoder,  Up: Applications

4.4 Transcoder remote control
=============================

* Menu:

* Invoking gmerlin_transcoder_remote: gmerlin_transcoder_remote.


File: gmerlin.info,  Node: gmerlin_transcoder_remote,  Up: Transcoder remote control

4.4.1 Invoking gmerlin_transcoder_remote
----------------------------------------

Synopsis
     gmerlin_transcoder_remote [options] command
Description
     Remote control command for the Gmerlin GUI transcoder
Global options

    -host <hostname>
          Host to connect to, default is localhost
    -port <port>
          Port to connect to
    -launch
          Launch new transcoder if necessary

Commands

    -addalbum <album_file>
          Add album to track list
    -add <location>
          Add <location> to the track list

Generic options
     The following generic options are available for all gmerlin
     applications
    -help
          Print this help message and exit
    -help-man
          Print this help message as a manual page and exit
    -help-texi
          Print this help message in texinfo format and exit
    -version
          Print version info and exit

Environment variables

    `GMERLIN_TRANSCODER_REMOTE_PORT'
          Default port for the remote control


File: gmerlin.info,  Node: Commandline player,  Next: Alsamixer,  Prev: Transcoder remote control,  Up: Applications

4.5 Commandline player
======================

* Menu:

* Invoking gmerlin_play: gmerlin_play.


File: gmerlin.info,  Node: gmerlin_play,  Up: Commandline player

4.5.1 Invoking gmerlin_play
---------------------------

Synopsis
     gmerlin_player [options] gml...
Description
     Commandline Multimedia player
Options

    -oa <audio_output_options>
          Set audio output options
         p=option[{suboptions}]
               Supported options: oa_alsa oa_pulse oa_oss oa_esd
               Default: oa_alsa
               Audio output plugin
               Suboptions for p=oa_alsa
              card=<string>
                    Supported strings: default hw:0,0 hw:0,1
                    Default: default
                    Card
              surround40=[1|0] (default: 1)
                    Enable 4.0 Surround
                    Use the surround 4.0 (aka quadrophonic) device
              surround41=[1|0] (default: 1)
                    Enable 4.1 Surround
                    Use the surround 4.1 device
              surround50=[1|0] (default: 1)
                    Enable 5.0 Surround
                    Use the surround 5.0 device
              surround51=[1|0] (default: 1)
                    Enable 5.1 Surround
                    Use the surround 5.1 device
              user_device=<string>
                    User device
                    Enter a custom device to use for playback. Leave
                    empty to use the settings above
              buffer_time=<number> (10..10000, default: 1000)
                    Buffer time
                    Set the buffer time (in milliseconds). Larger
                    values improve playback performance on slow systems
                    under load. Smaller values decrease the latency of
                    the volume control.
               Suboptions for p=oa_oss
              multichannel_mode=<string>
                    Supported strings: none multidev creative
                    Default: none
                    Multichannel Mode
              device=<string> (Default: /dev/dsp)
                    Device
              use_rear_device=[1|0] (default: 0)
                    Use Rear Device
              rear_device=<string> (Default: /dev/dsp1)
                    Rear Device
              use_center_lfe_device=[1|0] (default: 0)
                    Use Center/LFE Device
              center_lfe_device=<string> (Default: /dev/dsp2)
                    Center/LFE Device
               Suboptions for p=oa_esd
              esd_host=<string>
                    Host (empty: local)

    -ov <video_output_options>
          Set video output options
         p=option[{suboptions}]
               Supported options: ov_x11
               Default: ov_x11
               Video output plugin
               Suboptions for p=ov_x11
              auto_resize=[1|0] (default: 1)
                    Auto resize window
              disable_xscreensaver_normal=[1|0] (default: 0)
                    Disable Screensaver for normal playback
              disable_xscreensaver_fullscreen=[1|0] (default: 1)
                    Disable Screensaver for fullscreen playback
              force_hw_scale=[1|0] (default: 1)
                    Force hardware scaling
                    Use hardware scaling even if it involves more CPU
                    intensive pixelformat conversions
              scale_mode=<string>
                    Supported strings: auto nearest bilinear quadratic
                    cubic_bspline cubic_mitchell cubic_catmull
                    sinc_lanczos
                    Default: auto
                    Scale mode
                    Choose scaling method. Auto means to choose based
                    on the conversion quality. Nearest is fastest, Sinc
                    with Lanczos window is slowest.
              scale_order=<number> (4..1000, default: 4)
                    Scale order
                    Order for sinc scaling
              scale_quality=<number> (1..5, default: 2)
                    Scale quality
                    Scale quality

         w=<string>
               Window ID

    -i <input_plugin>
          Set and configure input plugin
         p=option[{suboptions}]
               Supported options: i_avdec i_cdaudio i_dvd i_vcd
               i_singlepic_stills i_lqt i_edl i_singlepic i_mikmod
               Default: i_avdec
               input plugin
               Suboptions for p=i_avdec
              audio_dynrange=[1|0] (default: 1)
                    Dynamic range control
                    Enable dynamic range control for codecs, which
                    support this (currently only A52 and DTS).
              pp=<number> (0..6, default: 1)
                    Postprocessing level
                    Set postprocessing (to remove compression
                    artifacts). 0 means no postprocessing, 6 means
                    maximum postprocessing.
              shrink=<number> (0..3, default: 0)
                    Shrink factor
                    This enables downscaling of images while decoding.
                    Currently only supported for JPEG-2000.
              connect_timeout=<number> (0..2000000, default: 5000)
                    Connect timeout (milliseconds)
              read_timeout=<number> (0..2000000, default: 5000)
                    Read timeout (milliseconds)
              network_buffer_size=<number> (1..1000, default: 32)
                    Network buffer size (kB)
              network_bandwidth=<string>
                    Supported strings: 14400 19200 28800 33600 34400
                    57600 115200 262200 393200 524300 1500000 10500000
                    Default: 524300
                    Bandwidth
              http_shoutcast_metadata=[1|0] (default: 1)
                    Enable shoutcast title streaming
              http_use_proxy=[1|0] (default: 0)
                    Use proxy
              http_proxy_host=<string>
                    Proxy host
              http_proxy_port=<number> (1..65535, default: 80)
                    Proxy port
              http_proxy_auth=[1|0] (default: 0)
                    Proxy needs authentication
              http_proxy_user=<string>
                    Proxy username
              http_proxy_pass=<string>
                    Proxy password
              rtp_try_tcp=[1|0] (default: 0)
                    Try RTP over TCP
                    Use this if your filewall blocks all UDP traffic.
                    Not all servers support TCP
              rtp_port_base=<number> (0..65530, default: 0)
                    Port base for RTP
                    Port base for RTP over UDP. Values of 1024 or
                    smaller enable random ports (recommended for RTSP
                    aware firewalls). Values larger than 1024 define
                    the base port. 2 consecutive ports are used for
                    each A/V stream, these must be accessable through
                    the firewall. Odd values are rounded to the next
                    even value.
              ftp_anonymous=[1|0] (default: 1)
                    Login as anonymous
              ftp_anonymous_password=<string> (Default: gates@nanosoft.com)
                    Anonymous ftp password
              seek_subtitles=<string>
                    Supported strings: never video always
                    Default: never
                    Seek external subtitles
                    If the input is a regular file, gmerlin_avdecoder
                    can scan the directory for matching subtitle files.
                    For a file movie.mpg, possible subtitle files are
                    e.g. movie_english.srt, movie_german.srt. The rule
                    is, that the first part of the filename of the
                    subtitle file must be equal to the movie filename
                    up to the extension. Furthermore, the subtitle
                    filename must have an extension supported by any of
                    the subtitle readers.  Subtitle seeking can be
                    disabled, enabled for video files or enabled for
                    all files.
              default_subtitle_encoding=<string> (Default: LATIN1)
                    Default subtitle encoding
                    This sets the default encoding for text
                    subtitles,when the original encoding is unknown. It
                    must be a character set namerecognized by iconv.
                    Type 'iconv -l' at the commandline for a list of
                    supported encodings.
              sample_accurate=[1|0] (default: 0)
                    Sample accurate
                    Try sample accurate seeking. For most formats, this
                    is not necessary, since normal seeking works fine.
                    Some formats are only seekable with this option
                    enabled.
              cache_time=<number> (default: 500)
                    Cache time (milliseconds)
                    If building an index takes longer than the
                    specified time, it will be cached.
              cache_size=<number> (default: 20)
                    Cache size (Megabytes)
                    Set the maximum total size of the cache directory.
              dv_datetime=[1|0] (default: 0)
                    Export date and time as timecodes for DV
               Suboptions for p=i_cdaudio
              trackname_template=<string> (Default: %p - %t)
                    Trackname template
                    Template for track name generation from metadata
                    %p:    Artist
                    %a:    Album
                    %g:    Genre
                    %t:    Track name
                    %<d>n: Track number (d = number of digits, 1-9)
                    %y:    Year
                    %c:    Comment
              use_cdtext=[1|0] (default: 1)
                    Use CD-Text
                    Try to get CD metadata from CD-Text
              use_local=[1|0] (default: 1)
                    Use locally saved metadata
                    Whenever we obtain CD metadata from the internet,
                    we save them into $HOME/.gmerlin/cdaudio_metadata.
                    If you got wrong metadata for a CD, disabling this
                    option will retrieve the metadata again and
                    overwrite the saved data.
              use_musicbrainz=[1|0] (default: 1)
                    Use Musicbrainz
              musicbrainz_host=<string> (Default: mm.musicbrainz.org)
                    Server
              musicbrainz_port=<number> (1..65535, default: 80)
                    Port
              musicbrainz_proxy_host=<string>
                    Proxy
                    Proxy server (leave empty for direct connection)
              musicbrainz_proxy_port=<number> (1..65535, default: 80)
                    Proxy port
                    Proxy port
              use_cddb=[1|0] (default: 1)
                    Use Cddb
              cddb_host=<string> (Default: freedb.org)
                    Server
              cddb_port=<number> (1..65535, default: 80)
                    Port
              cddb_path=<string> (Default: /~cddb/cddb.cgi)
                    Path
              cddb_proxy_host=<string>
                    Proxy
                    Proxy server (leave empty for direct connection)
              cddb_proxy_port=<number> (1..65535, default: 80)
                    Proxy port
                    Proxy port
              cddb_proxy_user=<string>
                    Proxy username
                    User name for proxy (leave empty for poxies, which
                    don't require authentication)
              cddb_proxy_pass=<string>
                    Proxy password
                    Password for proxy
              cddb_timeout=<number> (0..1000, default: 10)
                    Timeout
                    Timeout (in seconds) for connections to the CDDB
                    server
              cdparanoia_speed=<string>
                    Supported strings: Auto 4 8 16 32
                    Default: Auto
                    Speed
              cdparanoia_max_retries=<number> (0..200, default: 20)
                    Maximum retries
                    Maximum number of retries, 0 = infinite
              cdparanoia_disable_paranoia=[1|0] (default: 0)
                    Disable paranoia
                    Disable all data verification and correction
                    features.
              cdparanoia_disable_extra_paranoia=[1|0] (default: 0)
                    Disable extra paranoia
                    Disables intra-read data verification; only overlap
                    checking atread boundaries is performed. It can
                    wedge if errors  occur  in the attempted overlap
                    area. Not recommended.
               Suboptions for p=i_dvd
              audio_dynrange=[1|0] (default: 1)
                    Dynamic range control
                    Enable dynamic range control for codecs, which
                    support this (currently only A52 and DTS).
               Suboptions for p=i_singlepic_stills
              display_time={[[HH:]MM:]SS} (default: 0:00)
                    Seconds can be fractional (i.e. with decimal point)
                    Display time
                    Time to pass until the next track will be selected.
                    0 means infinite.
               Suboptions for p=i_lqt
              ac={option[{suboptions}][:option[{suboptions}]...]}
                    Supported options: ima4 rawaudio twos ulaw sowt
                    alaw in24 in32 fl32 fl64 lpcm faad2 ffmpeg_mp3
                    ffmpeg_mp2 ffmpeg_ac3 ffmpeg_qdm2 ffmpeg_alac
                    ffmpeg_adpcm_ms ffmpeg_ima_adpcm_wav vorbis
                    vorbis_qt

                    Audio Codecs
                    Sort and configure audio codecs
              vc={option[{suboptions}][:option[{suboptions}]...]}
                    Supported options: rtjpeg raw v308 v408 v410 yuv2
                    yuv4 yv12 2vuy v210 png ffmpeg_mpg1 ffmpeg_mpg4
                    ffmpeg_msmpeg4v1 ffmpeg_msmpeg4v2 ffmpeg_msmpeg4v3
                    ffmpeg_msmpeg4v3_wmp ffmpeg_h263 ffmpeg_h263
                    ffmpeg_h264 ffmpeg_i263 ffmpeg_svq1 ffmpeg_svq3
                    ffmpeg_mjpg ffmpeg_mjpegb ffmpeg_TGA ffmpeg_TIFF
                    ffmpeg_8BPS ffmpeg_indeo ffmpeg_rpza ffmpeg_smc
                    ffmpeg_cinepak ffmpeg_cyuv ffmpeg_rle ffmpeg_wrle
                    ffmpeg_dv_ntsc ffmpeg_dv_pal ffmpeg_dv_avi
                    ffmpeg_dv50_pal ffmpeg_dv50_ntsc ffmpeg_dvcprohd
                    ffmpeg_ffvhuff ffmpeg_dnxhd jpeg mjpa

                    Video Codecs
                    Sort and configure video codecs
                    Suboptions for ffmpeg_mpg1
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_mpg4
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_msmpeg4v1
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_msmpeg4v2
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_msmpeg4v3
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_msmpeg4v3_wmp
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_h263
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_h263
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_h264
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_i263
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_svq1
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_svq3
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_mjpg
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_indeo
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_cinepak
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_cyuv
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dv_ntsc
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dv_pal
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dv_avi
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dv50_pal
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dv50_ntsc
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dvcprohd
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_ffvhuff
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
                    Suboptions for ffmpeg_dnxhd
                   ff_flag_gray=[1|0] (default: 0)
                         Grayscale mode
               Suboptions for p=i_singlepic
              timescale=<number> (1..100000, default: 25)
                    Timescale
              frame_duration=<number> (1..100000, default: 1)
                    Frame duration
               Suboptions for p=i_mikmod
              output=<string>
                    Supported strings: mono8 stereo8 mono16 stereo16
                    Default: stereo16
                    Output format
              mixing_frequency=<number> (4000..60000, default: 44100)
                    Samplerate
              hidden=[1|0] (default: 0)
                    Look for hidden patterns in module
              sur=[1|0] (default: 0)
                    Use surround mixing
              fade=[1|0] (default: 0)
                    Force volume fade at the end of module
              interpol=[1|0] (default: 0)
                    Use interpolate mixing

    -aud <audio_options>
          Set audio processing options
         force_sampleformat=<string>
               Supported strings: none 8 16 32 f d
               Default: none
               Force sampleformat
               Force a sampleformat to be used for processing. None
               means to take the input format.
         q=<number> (1..5, default: 2)
               Conversion Quality
               Set the conversion quality for format conversions. Lower
               quality means more speed. Values above 3 enable slow
               high quality calculations.
         dither_mode=<string>
               Supported strings: auto none rect tri shaped
               Default: auto
               Dither mode
               Dither mode. Auto means to use the quality level.
               Subsequent options are ordered by increasing quality
               (i.e. decreasing speed).
         fixed_samplerate=[1|0] (default: 0)
               Fixed samplerate
               If disabled, the output samplerate is taken from the
               source. If enabled, the samplerate you specify below us
               used.
         samplerate=<number> (8000..192000, default: 44100)
               Samplerate
               Fixed output samplerate
         resample_mode=<string>
               Supported strings: auto zoh linear sinc_fast sinc_medium
               sinc_best
               Default: auto
               Resample mode
               Resample mode. Auto means to use the quality level.
               Subsequent options are ordered by increasing quality
               (i.e. decreasing speed).
         fixed_channel_setup=[1|0] (default: 0)
               Fixed channel setup
               If disabled, the output channel configuration is taken
               from the source. If enabled, the setup you specify below
               us used.
         num_front_channels=<number> (1..5, default: 2)
               Front channels
         num_rear_channels=<number> (0..3, default: 0)
               Rear channels
         num_lfe_channels=[1|0] (default: 0)
               LFE
         front_to_rear=<string>
               Supported strings: mute copy diff
               Default: copy
               Front to rear mode
               Mix mode when the output format has rear channels, but
               the source doesn't.
         stereo_to_mono=<string>
               Supported strings: left right mix
               Default: mix
               Stereo to mono mode
               Mix mode when downmixing Stereo to Mono.

    -vid <video_options>
          Set video processing options
         q=<number> (1..5, default: 2)
               Conversion Quality
               Set the conversion quality for format conversions. Lower
               quality means more speed. Values above 3 enable slow
               high quality calculations.
         alpha_mode=<string>
               Supported strings: ignore blend_color
               Default: ignore
               Alpha mode
               This option is used if the source has an alpha
               (=transparency) channel, but the output supports no
               transparency. Either, the transparency is ignored, or
               the background color you specify below is blended in.
         background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)
               <r>, <g> and <b> are in the range 0.0..1.0 Background
               color
               Background color to use, when alpha mode above is "Blend
               background color".
         sm=[1|0] (default: 0)
               Resample chroma
               Always perform chroma resampling if chroma subsampling
               factors or chroma placements are different. Usually,
               this is only done for qualities above 3.
         still_framerate=<number> (1.00..100.00, default: 10.00)
               Still image framerate
               Set framerate width which still images will be
               redisplayed periodically

    -inopt <input_options>
          Set generic input options
         do_bypass=[1|0] (default: 1)
               Enable bypass mode
               Use input plugins in bypass mode if they support it
               (Currently only the audio CD player). This dramatically
               decreases CPU usage but doesn't work on all hardware
               setups.
         still_framerate=<number> (0..100, default: 10)
               Still image repitition rate
               When showing still images, gmerlin repeats them
               periodically to make realtime filter tweaking work.

    -osd <osd_options>
          Set OSD options
         enable_osd=[1|0] (default: 1)
               Enable OSD
         font_size=<number> (12.00..100.00, default: 30.00)
               Size
               Specify fontsize for OSD. The value you enter, is for an
               image width of 640.  For other widths, the value will be
               scaled
         color=<r>,<g>,<b>,<a> (default: 1.000,1.000,1.000,1.000)
               <r>, <g>, <b> and <a> are in the range 0.0..1.0
               Foreground color
         border_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)
               <r>, <g> and <b> are in the range 0.0..1.0 Border color
         border_width=<number> (0.00..10.00, default: 2.00)
               Border width
         justify_h=<string>
               Supported strings: center left right
               Default: center
               Horizontal justify
         justify_v=<string>
               Supported strings: center top bottom
               Default: center
               Vertical justify
         border_left=<number> (0..65535, default: 10)
               Left border
               Distance from the left text border to the image border
         border_right=<number> (0..65535, default: 10)
               Right border
               Distance from the right text border to the image border
         border_top=<number> (0..65535, default: 10)
               Top border
               Distance from the top text border to the image border
         border_bottom=<number> (0..65535, default: 10)
               Bottom border
               Distance from the bottom text border to the image border
         duration=<number> (0..10000, default: 2000)
               Duration (milliseconds)

    -nt
          Disable time display
    -vol <volume>
          Set volume in dB (max: 0.0)
    -v level
          Set verbosity level (0..4)
    -tracks <track_spec>
          <track_spec> can be a ranges mixed with comma separated tracks

Generic options
     The following generic options are available for all gmerlin
     applications
    -help
          Print this help message and exit
    -help-man
          Print this help message as a manual page and exit
    -help-texi
          Print this help message in texinfo format and exit
    -version
          Print version info and exit

Files

    `~/.gmerlin/plugins.xml'
          Cache of the plugin registry (shared by all applicatons)
    `~/.gmerlin/generic/config.xml'
          Default plugin parameters are read from there. Use
          gmerlin_plugincfg to change them.


File: gmerlin.info,  Node: Alsamixer,  Next: Visualizer,  Prev: Commandline player,  Up: Applications

4.6 Alsamixer
=============

Type `gmerlin_alsamixer' to start this.  This is a mixer program, which
is still convenient, if you have multiple soundcards with 100s of
options each. It provides widgets for almost all soundcard parameters,
which are supported by alsa.

   By right clicking on a control, you get a menu where you can:

   * Move controls inside the window

   * Move controls to own windows . To move them back to main window,
     simply close the control-windows.

   * Pop up an options dialog , where you can select which controls
     should be shown at all.

   All window configurations and coordinates are remembered. The actual
mixer settings are _not_ remembered, since this is done globally by the
Alsa startup scripts.


File: gmerlin.info,  Node: Visualizer,  Next: Keyboard daemon,  Prev: Alsamixer,  Up: Applications

4.7 Visualizer
==============

Type `gmerlin_visualizer' to start this.  Gmerlin visualizer opens your
soundard for recording and displays a visualization in a window. It
supports fullscreen and mouse- and keyboard interaction with visuals
for visualization plugins, which support this.  If you move the mouse
or press the "Menu key", the toolbar will show up (either method can be
disabled). It will be hidden again after the mouse is idle for some
seconds.

   In the upper left row, you can change the input plugin, show info
about the plugin or configure the visualization .

   In the lower left row, you can change the recording- and display
plugins , set global (plugin independent) options , restart the
visualization , switch to fullscreen or back . Moreover you can show or
hide the *Note Log window: gui_log.  or exit the application.

   The VU-meter at the right displays the recording level as it comes
from the device (i.e. before the visualizer gain is applied).

   You have the following Shortcuts:

`f'
     Toggle fullscreen mode

`Tab'
     Toggle fullscreen mode

`Escape'
     Exit fullscreen mode

`Menu'
     Show toolbar

   All other keyboard- and mouse events are propagated to the display
plugin and then to the visualization plugin.


File: gmerlin.info,  Node: Keyboard daemon,  Prev: Visualizer,  Up: Applications

4.8 Keyboard daemon
===================

The gmerlin keyboard daemon is an X11 application, which grabs key
combinations and executes commands. You will communicate mostly via the
configuration utility `gmerlin_kbd_config'. It's independent of
keyboard model definitions, because it allows to enter the keyboard
combination in the config dialog directly. It's independent of gmerlin
or any other multimedia architecture, since the actions can be
arbitrary shell commands.

   You can manually start and stop the keyboard daemon, add, edit and
delete key combinations and tell the daemon to apply the changes.

   To automatically start the keyboard daemon at each X11 start, find
out where to enter start commands in your desktop configuration add the
command `/usr/local/bin/gmerlin_kbd'. Change `/usr/local' to your
install prefix if necessary.

   Messages from the keyboard daemon show up in `/var/log/messages' or
in another syslog file depending on your system setup.


File: gmerlin.info,  Node: Plugins,  Next: FAQ,  Prev: Applications,  Up: Top

5 Plugins
*********

* Menu:

* Media input: plugin_i.
* Audio output: plugin_oa.
* Video output: plugin_ov.
* Audio recorder: plugin_ra.
* Video recorder: plugin_rv.
* Encoders for audio: plugin_ea.
* Encoders for video: plugin_ev.
* Encoders for text subtitles: plugin_est.
* Encoders for overlay subtitles: plugin_eso.
* Encoders for multiple stream types: plugin_e.
* Encoder postprocessors: plugin_epp.
* Image readers: plugin_ir.
* Image writers: plugin_iw.
* Audio filters: plugin_fa.
* Video filters: plugin_fv.
* Visualizations: plugin_vis.


File: gmerlin.info,  Node: plugin_i,  Next: plugin_oa,  Up: Plugins

5.1 Media input
===============

5.1.1 AVDecoder plugin
----------------------

Internal name
     i_avdec

Module
     i_avdec.so

Description
     Plugin based on the Gmerlin avdecoder library. Supports most media
     formats. Playback is supported from files, URLs (with various
     protocols) and stdin.

5.1.2 Audio CD player/ripper
----------------------------

Internal name
     i_cdaudio

Module
     i_cdaudio.so

Description
     Plugin for audio CDs. Supports both playing with direct connection
     from the CD-drive to the souncard and ripping with cdparanoia.
     Metadata are obtained from Musicbrainz, freedb or CD-text.
     Metadata are cached in $HOME/.gmerlin/cdaudio_metadata.

5.1.3 DVD Player
----------------

Internal name
     i_dvd

Module
     i_dvd.so

Description
     Plugin for playing DVDs. Based on Gmerlin avdecoder.

5.1.4 VCD Player
----------------

Internal name
     i_vcd

Module
     i_vcd.so

Description
     Plugin for playing VCDs. Based on Gmerlin avdecoder.

5.1.5 DVB Player
----------------

Internal name
     i_dvb

Module
     i_dvb.so

Description
     Plugin for playing DVB streams from a Linux-DVB compatible card.
     Based on Gmerlin avdecoder.

5.1.6 Still image input plugin
------------------------------

Internal name
     i_singlepic_stills

Module
     Internal plugin

Description
     This plugin reads images as stills. It uses the installed image
     readers.

5.1.7 libquicktime input plugin
-------------------------------

Internal name
     i_lqt

Module
     i_lqt.so

Description
     Input plugin based on libquicktime

5.1.8 Parser for gmerlin EDLs
-----------------------------

Internal name
     i_edl

Module
     i_edl.so

Description
     This parses the XML file and exports an EDL, which can be played
     with the builtin EDL decoder.

5.1.9 Image video input plugin
------------------------------

Internal name
     i_singlepic

Module
     Internal plugin

Description
     This plugin reads series of images as a video. It uses the
     installed image readers.

5.1.10 mikmod input plugin
--------------------------

Internal name
     i_mikmod

Module
     i_mikmod.so

Description
     Simple wrapper, which calls the mikmod program


File: gmerlin.info,  Node: plugin_oa,  Next: plugin_ov,  Prev: plugin_i,  Up: Plugins

5.2 Audio output
================

5.2.1 Alsa
----------

Internal name
     oa_alsa

Module
     oa_alsa.so

Description
     Alsa output plugin with support for channel configurations up to
     5.1

5.2.2 PulseAudio
----------------

Internal name
     oa_pulse

Module
     oa_pulse.so

Description
     PulseAudio output

5.2.3 OSS
---------

Internal name
     oa_oss

Module
     oa_oss.so

Description
     OSS output driver

5.2.4 EsounD output driver
--------------------------

Internal name
     oa_esd

Module
     oa_esd.so

Description
     EsounD output driver


File: gmerlin.info,  Node: plugin_ov,  Next: plugin_ra,  Prev: plugin_oa,  Up: Plugins

5.3 Video output
================

5.3.1 X11
---------

Internal name
     ov_x11

Module
     ov_x11.so

Description
     X11 display driver with support for XVideo, XImage and OpenGL.
     Shared memory (XShm) is used where available.


File: gmerlin.info,  Node: plugin_ra,  Next: plugin_rv,  Prev: plugin_ov,  Up: Plugins

5.4 Audio recorder
==================

5.4.1 Alsa
----------

Internal name
     i_alsa

Module
     i_alsa.so

Description
     Alsa recorder

5.4.2 OSS
---------

Internal name
     i_oss

Module
     i_oss.so

Description
     OSS Recorder

5.4.3 EsounD input driver
-------------------------

Internal name
     i_esd

Module
     i_esd.so

Description
     EsounD input driver

5.4.4 PulseAudio
----------------

Internal name
     i_pulse

Module
     i_pulse.so

Description
     PulseAudio capture. You can specify the source, where we'll get
     the audio.


File: gmerlin.info,  Node: plugin_rv,  Next: plugin_ea,  Prev: plugin_ra,  Up: Plugins

5.5 Video recorder
==================

5.5.1 V4L2
----------

Internal name
     i_v4l2

Module
     i_v4l2.so

Description
     video4linux 2 recording plugin. Supports only video and no tuner
     decives.

5.5.2 V4L
---------

Internal name
     i_v4l

Module
     i_v4l.so

Description
     video4linux recording plugin. Supports only video and no tuner
     decives.


File: gmerlin.info,  Node: plugin_ea,  Next: plugin_ev,  Prev: plugin_rv,  Up: Plugins

5.6 Encoders for audio
======================

5.6.1 Wave writer
-----------------

Internal name
     e_wav

Module
     e_wav.so

Description
     Simple writer for wave files, supports 8, 16, 24 and 32 bit PCM

5.6.2 Speex encoder
-------------------

Internal name
     e_speex

Module
     e_speex.so

Description
     Encoder for Speex files

5.6.3 Flac in Ogg encoder
-------------------------

Internal name
     e_flacogg

Module
     e_flacogg.so

Description
     Encoder for flac streams in Ogg containers. Based on libflac
     (http://flac.sourceforge.net)

5.6.4 Flac encoder
------------------

Internal name
     e_flac

Module
     e_flac.so

Description
     Encoder for flac files. Based on libflac
     (http://flac.sourceforge.net)

5.6.5 Lame mp3 encoder
----------------------

Internal name
     e_lame

Module
     e_lame.so

Description
     Encoder for mp3 files. Based on lame (http://www.mp3dev.org).
     Supports CBR, ABR and VBR as well as ID3V1 and ID3V2 tags.

5.6.6 MPEG-1 layer 1/2 audio encoder
------------------------------------

Internal name
     e_mpegaudio

Module
     e_mpegaudio.so

Description
     Encoder for elementary MPEG-1 layer 1/2 audio streams. Based on
     mjpegtools (http://mjpeg.sourceforge.net).

5.6.7 Faac encoder
------------------

Internal name
     e_faac

Module
     e_faac.so

Description
     Plugin for encoding AAC streams (with ADTS headers). Based on faac
     (http://faac.sourceforge.net).

5.6.8 FFmpeg audio encoder
--------------------------

Internal name
     e_ffmpeg_audio

Module
     e_ffmpeg_audio.so

Description
     Plugin for encoding various audio formats with ffmpeg
     (http://www.ffmpeg.org).

5.6.9 Vorbis encoder
--------------------

Internal name
     e_vorbis

Module
     e_vorbis.so

Description
     Encoder for Vorbis files


File: gmerlin.info,  Node: plugin_ev,  Next: plugin_est,  Prev: plugin_ea,  Up: Plugins

5.7 Encoders for video
======================

5.7.1 yuv4mpeg2 encoder
-----------------------

Internal name
     e_y4m

Module
     e_yuv4mpeg.so

Description
     Encoder for yuv4mpeg files. Based on mjpegtools
     (http://mjpeg.sourceforge.net).

5.7.2 MPEG-1/2 video encoder
----------------------------

Internal name
     e_mpegvideo

Module
     e_mpegvideo.so

Description
     Encoder for elementary MPEG-1/2 video streams. Based on mjpegtools
     (http://mjpeg.sourceforge.net).

5.7.3 Singlepicture encoder
---------------------------

Internal name
     e_singlepic

Module
     Internal plugin

Description
     This plugin encodes a video as a series of images. It uses the
     installed image writers.

5.7.4 FFmpeg video encoder
--------------------------

Internal name
     e_ffmpeg_video

Module
     e_ffmpeg_video.so

Description
     Plugin for encoding various video formats with ffmpeg
     (http://www.ffmpeg.org).


File: gmerlin.info,  Node: plugin_est,  Next: plugin_eso,  Prev: plugin_ev,  Up: Plugins

5.8 Encoders for text subtitles
===============================

5.8.1 Text subtitle exporter
----------------------------

Internal name
     e_subtext

Module
     e_subtext.so

Description
     Plugin for exporting text subtitles. Supported formats are MPSub
     and SRT


File: gmerlin.info,  Node: plugin_eso,  Next: plugin_e,  Prev: plugin_est,  Up: Plugins

5.9 Encoders for overlay subtitles
==================================

5.9.1 spumux overlay exporter
-----------------------------

Internal name
     e_spumux

Module
     e_spumux.so

Description
     Exports overlay subtitles into the format used by spumux
     (http://dvdauthor.sourceforge.net)


File: gmerlin.info,  Node: plugin_e,  Next: plugin_epp,  Prev: plugin_eso,  Up: Plugins

5.10 Encoders for multiple stream types
=======================================

5.10.1 Quicktime encoder
------------------------

Internal name
     e_lqt

Module
     e_lqt.so

Description
     Encoder based on libquicktime
     (http://libquicktime.sourceforge.net) Writes Quicktime, AVI
     (optionally ODML), MP4, M4A and 3GPP. Supported codecs range from
     high quality uncompressed formats for professional applications to
     consumer level formats like H.264/AVC, AAC, MP3, Divx compatible
     etc. Also supported are chapters and text subtitles

5.10.2 Theora encoder
---------------------

Internal name
     e_theora

Module
     e_theora.so

Description
     Encoder for Theora files. Audio can be Vorbis, Flac or Speex.

5.10.3 FFmpeg audio/video encoder
---------------------------------

Internal name
     e_ffmpeg

Module
     e_ffmpeg.so

Description
     Plugin for encoding various audio/video formats with ffmpeg
     (http://www.ffmpeg.org).

5.10.4 MPEG 1/2 program/system stream encoder
---------------------------------------------

Internal name
     e_mpeg

Module
     e_mpeg.so

Description
     Encoder for regular .mpg files as well as VCD and DVD streams.
     Based on mjpegtools (http://mjpeg.sourceforge.net)


File: gmerlin.info,  Node: plugin_epp,  Next: plugin_ir,  Prev: plugin_e,  Up: Plugins

5.11 Encoder postprocessors
===========================

5.11.1 Audio CD generator/burner
--------------------------------

Internal name
     e_pp_cdrdao

Module
     e_pp_cdrdao.so

Description
     This is a frontend for generating audio CD images (optionally with
     CD-Text) for cdrdao (http://cdrdao.sourceforge.net). Optional
     burning is also supported.

5.11.2 VCD image generator/burner
---------------------------------

Internal name
     e_pp_vcdimager

Module
     e_pp_vcdimager.so

Description
     This is a frontend for generating (S)VCD images with the vcdimager
     tools (http://www.vcdimager.org). Burning with cdrdao
     (http://cdrdao.sourceforge.net) is also possible.


File: gmerlin.info,  Node: plugin_ir,  Next: plugin_iw,  Prev: plugin_epp,  Up: Plugins

5.12 Image readers
==================

5.12.1 PNM reader
-----------------

Internal name
     ir_pnm

Module
     ir_pnm.so

Description
     Reader for PBM/PGM/PPM images

5.12.2 TGA reader
-----------------

Internal name
     ir_tga

Module
     ir_tga.so

Description
     Reader for TGA images

5.12.3 BMP reader
-----------------

Internal name
     ir_bmp

Module
     ir_bmp.so

Description
     Reader for BMP images

5.12.4 PNG reader
-----------------

Internal name
     ir_png

Module
     ir_png.so

Description
     Reader for PNG images

5.12.5 JPEG reader
------------------

Internal name
     ir_jpeg

Module
     ir_jpeg.so

Description
     Reader for JPEG images

5.12.6 TIFF reader
------------------

Internal name
     ir_tiff

Module
     ir_tiff.so

Description
     Reader for TIFF images


File: gmerlin.info,  Node: plugin_iw,  Next: plugin_fa,  Prev: plugin_ir,  Up: Plugins

5.13 Image writers
==================

5.13.1 JPEG writer
------------------

Internal name
     iw_jpeg

Module
     iw_jpeg.so

Description
     Writer for JPEG images

5.13.2 PPM writer
-----------------

Internal name
     iw_pnm

Module
     iw_pnm.so

Description
     Writer for PPM images

5.13.3 BMP writer
-----------------

Internal name
     iw_bmp

Module
     iw_bmp.so

Description
     Writer for BMP images

5.13.4 PNG writer
-----------------

Internal name
     iw_png

Module
     iw_png.so

Description
     Writer for PNG images

5.13.5 TGA writer
-----------------

Internal name
     iw_tga

Module
     iw_tga.so

Description
     Writer for TGA images

5.13.6 TIFF writer
------------------

Internal name
     iw_tiff

Module
     iw_tiff.so

Description
     Writer for TIFF images


File: gmerlin.info,  Node: plugin_fa,  Next: plugin_fv,  Prev: plugin_iw,  Up: Plugins

5.14 Audio filters
==================

5.14.1 Force sampleformat
-------------------------

Internal name
     fa_sampleformat

Module
     fa_sampleformat.so

Description
     This forces a sampleformat as input for the next filter. Its
     mainly used for testing.

5.14.2 Volume control
---------------------

Internal name
     fa_volume

Module
     fa_volume.so

Description
     Simple volume control


File: gmerlin.info,  Node: plugin_fv,  Next: plugin_vis,  Prev: plugin_fa,  Up: Plugins

5.15 Video filters
==================

5.15.1 1DTV
-----------

Internal name
     fv_onedtv

Module
     fv_1dtv.so

Description
     1DTV is one of the most amazing effect, but that algorithm is very
     easy. The horizontal green line is the current scanning position
     and it moves down every frame. So only moving objects is
     distorted. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.2 AgingTV
--------------

Internal name
     fv_agingtv

Module
     fv_agingtv.so

Description
     AgingTV ages video input stream in realtime. Discolors, scratches,
     puts dust. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.3 BaltanTV
---------------

Internal name
     fv_baltantv

Module
     fv_baltantv.so

Description
     BaltanTV is similar to the StreakTV,but BaltanTV makes after
     images longer than that. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.4 Blur
-----------

Internal name
     fv_blur

Module
     fv_blur.so

Description
     Blur filter based on gavl. Supports triangular, box and gauss blur.

5.15.5 BrokenTV
---------------

Internal name
     fv_brokentv

Module
     fv_brokentv.so

Description
     BrokenTV simulates mistuned television or mistracking video image.
     Ported from EffecTV (http://effectv.sourceforge.net).

5.15.6 BurningTV
----------------

Internal name
     fv_burningtv

Module
     fv_burningtv.so

Description
     The name describes itself. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.7 ChameleonTV
------------------

Internal name
     fv_chameleontv

Module
     fv_chameleontv.so

Description
     When you are still in the sight of the camera for a second, you
     will be vanishing into the background, and disappear. When you
     move again, you will appear normally. By contrast, when you switch
     from "disappearing mode" to "appearing mode", moving objects are
     not shown, and a still object appears after seconds. Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.8 Colorbalance
-------------------

Internal name
     fv_colorbalance

Module
     fv_colorbalance.so

Description
     Apply gain for red, green and blue. RGB formats are processed
     directly, Y'CbCr formats are processed by the colormatrix.

5.15.9 ColstreakTV
------------------

Internal name
     fv_colstreaktv

Module
     fv_colstreaktv.so

Description
     Make after images but the power of the effects are different
     between red, green and blue layers, so it provides colourful after
     images. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.10 Crop & Scale
--------------------

Internal name
     fv_cropscale

Module
     fv_cropscale.so

Description
     Crop and scale video images. Has lots of standard video formats as
     presets. Can also do chroma placement correction and simple
     deinterlacing

5.15.11 CycleTV
---------------

Internal name
     fv_cycletv

Module
     fv_cycletv.so

Description
     CycleTV randomly cycles the color palette. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.12 Decimate
----------------

Internal name
     fv_decimate

Module
     fv_decimate.so

Description
     Skip almost identical frames

5.15.13 Deinterlacer
--------------------

Internal name
     fv_deinterlace

Module
     fv_deinterlace.so

Description
     Deinterlace with various algorithms

5.15.14 DiceTV
--------------

Internal name
     fv_dicetv

Module
     fv_dicetv.so

Description
     DiceTV 'dices' the screen up into many small squares, each
     defaulting to a size of 16 pixels by 16 pixels.. Each square is
     rotated randomly in one of four directions: up (no change), down
     (180 degrees, or upside down), right (90 degrees clockwise), or
     left (90 degrees counterclockwise). The direction of each square
     normally remains consistent between each frame. Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.15 DiffTV
--------------

Internal name
     fv_difftv

Module
     fv_difftv.so

Description
     DiffTV highlights interframe differences. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.16 Display timecodes
-------------------------

Internal name
     fv_tcdisplay

Module
     fv_tcdisplay.so

Description
     Burn timecodes into video frames

5.15.17 DisplaywallTV
---------------------

Internal name
     fv_displaywalltv

Module
     fv_displaywalltv.so

Description
     Display the tiled video images. You can scroll the image or change
     the scale. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.18 DotTV
-------------

Internal name
     fv_dottv

Module
     fv_dottv.so

Description
     DotTV converts gray scale images to set of dots. It is hard to
     recognize what is shown when your eyes are close to the monitor.
     Ported from EffecTV (http://effectv.sourceforge.net).

5.15.19 EdgeTV
--------------

Internal name
     fv_edgetv

Module
     fv_edgetv.so

Description
     Detects edges and display it like good old low resolution computer
     way. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.20 EdgeblurTV
------------------

Internal name
     fv_edgeblurtv

Module
     fv_edgeblurtv.so

Description
     Detects edge and display it with motion blur effect. Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.21 Equalizer
-----------------

Internal name
     fv_equalizer

Module
     fv_equalizer.so

Description
     Control hue, saturation, contrast and brightness. For Y'CbCr, it
     uses routines based on the vf_eq and vf_hue filters from the
     MPlayer project. For RGB formats, it uses the colormatrix.

5.15.22 FireTV
--------------

Internal name
     fv_firetv

Module
     fv_firetv.so

Description
     FireTV clips moving objects and burns it. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.23 Flip image
------------------

Internal name
     fv_flip

Module
     fv_flip.so

Description
     Flip video images horizontally and/or vertically

5.15.24 Force pixelformat
-------------------------

Internal name
     fv_pixelformat

Module
     fv_pixelformat.so

Description
     Forces a pixelformat as input for the next filter. Its mainly used
     for testing.

5.15.25 Invert RGBA
-------------------

Internal name
     fv_invert

Module
     fv_invert_rgb.so

Description
     Invert single color channels. RGB(A) formats are processed
     directly, Y'CbCr(A) formats are processed with the colormatrix.

5.15.26 LensTV
--------------

Internal name
     fv_lenstv

Module
     fv_lenstv.so

Description
     LensTV - Based on Old school Demo Lens Effect. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.27 LifeTV
--------------

Internal name
     fv_lifetv

Module
     fv_lifetv.so

Description
     You can play John Horton Conway's Life Game with video input.
     Moving objects drop seeds on the game field. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.28 MatrixTV
----------------

Internal name
     fv_matrixtv

Module
     fv_matrixtv.so

Description
     The Matrix's visual effect has been metamorphosed to the realtime
     video effect. Edge-enhanced input image is reflected to the
     brightness of falling letters. Blending with the input image is
     also available. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.29 MosaicTV
----------------

Internal name
     fv_mosaictv

Module
     fv_mosaictv.so

Description
     MosaicTV censors the incoming objects and gives it mosaic effect.
     Ported from EffecTV (http://effectv.sourceforge.net).

5.15.30 NervousHalfTV
---------------------

Internal name
     fv_halftv

Module
     fv_halftv.so

Description
     SimuraTV and NervousTV mixed, make more magic! Delaying,
     scratching or our famous "nervous" effect can be added to a half
     of the screen. Additionally you can add mirroring effect to it.
     Ported from EffecTV (http://effectv.sourceforge.net).

5.15.31 NervousTV
-----------------

Internal name
     fv_nervoustv

Module
     fv_nervoustv.so

Description
     NervousTV randomly re-arranges the past second of video, creating
     a chaotic expression of past movements. It shuffles time. There is
     no effect on still images. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.32 NoiseTV
---------------

Internal name
     fv_noisetv

Module
     fv_noisetv.so

Description
     Black & White noise is rendered over the incoming objects. Ported
     from EffecTV (http://effectv.sourceforge.net).

5.15.33 Old color
-----------------

Internal name
     fv_oldcolor

Module
     fv_oldcolor.so

Description
     Simulate old color- and B/W movies

5.15.34 OpTV
------------

Internal name
     fv_optv

Module
     fv_optv.so

Description
     Traditional black-white optical animation is now resurrected as a
     real-time video effect. Input images are binarized and combined
     with various optical pattern. You can change its animation speed
     and direction with a keyboard. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.35 PupTV
-------------

Internal name
     fv_puptv

Module
     fv_puptv.so

Description
     PupTV does pup mark effect on the video input. The pup is caused
     by a motion or random rain drops. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.36 QuarkTV
---------------

Internal name
     fv_quarktv

Module
     fv_quarktv.so

Description
     QuarkTV dissolves moving objects. It picks up pixels from the last
     eight frames randomly. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.37 RGB Colormatrix
-----------------------

Internal name
     fv_colormatrix_rgb

Module
     fv_colormatrix_rgb.so

Description
     Generic colormatrix (RGBA). You pass the coefficients in RGB(A)
     coordinates, but the processing will work in Y'CbCr(A) as well.

5.15.38 RandomDotStereoTV
-------------------------

Internal name
     fv_rdstv

Module
     fv_rdstv.so

Description
     RdsTV does rds mark effect on the video input. The rds is caused
     by a motion or random rain drops. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.39 RevTV
-------------

Internal name
     fv_revtv

Module
     fv_revtv.so

Description
     RevTV acts like a video waveform monitor for each line of video
     processed. This creates a pseudo 3D effect based on the brightness
     of the video along each line. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.40 RippleTV
----------------

Internal name
     fv_rippletv

Module
     fv_rippletv.so

Description
     RippleTV does ripple mark effect on the video input. The ripple is
     caused by a motion or random rain drops. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.41 RndmTV
--------------

Internal name
     fv_rndmtv

Module
     fv_rndmtv.so

Description
     RndmTV give you a noisy picture in color or B/W. Inspired by the
     old days when reception was poor. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.42 ShagadelicTV
--------------------

Internal name
     fv_shagadelictv

Module
     fv_shagadelictv.so

Description
     Oh behave, ShagedelicTV makes images shagadelic! Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.43 SimuraTV
----------------

Internal name
     fv_simuratv

Module
     fv_simuratv.so

Description
     The origin of SimuraTV is "SimuraEffect", a VJ (Video Jockey) tool
     I made in 1995. Color effect and image mirroring are all of
     SimuraTV. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.44 SlofastTV
-----------------

Internal name
     fv_slofasttv

Module
     fv_slofasttv.so

Description
     SloFastTV plays back the current video input at non-constant
     speed: while the buffer fills the video is played back at half the
     frame rate, when the buffer is full it plays back at the double
     rate until it has caught up with the live video again. This causes
     the actual image to be delayed from 0 to about half a second.
     Movements that previously had a constant speed will appear very
     slow and then very fast. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.45 SparkTV
---------------

Internal name
     fv_sparktv

Module
     fv_sparktv.so

Description
     Bright sparks run on incoming objects. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.46 SpiralTV
----------------

Internal name
     fv_spiraltv

Module
     fv_spiraltv.so

Description
     I admit that 'SpiralTV' is a misnomer; it doesn't actually spiral.
     What it does do is segment the screen image into a series of
     concentric circles, each of which is slightly out of phase
     (timewise) from its neighbors. Or to put it more simply, it really
     messes with changing (i.e. Moving) objects onscreen! Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.47 StreakTV
----------------

Internal name
     fv_streaktv

Module
     fv_streaktv.so

Description
     StreakTV makes after images of moving objects. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.48 Temporal lowpass
------------------------

Internal name
     fv_tlp

Module
     fv_tlp.so

Description
     Simple temporal lowpass

5.15.49 TimedistTV
------------------

Internal name
     fv_timedisttv

Module
     fv_timedisttv.so

Description
     Distorts moving objects in the sight. When it detects a moving
     part, it rollbacks to an old frame around that. Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.50 Transform
-----------------

Internal name
     fv_transform

Module
     fv_transform.so

Description
     Transform the image with different methods

5.15.51 TransformTV
-------------------

Internal name
     fv_transformtv

Module
     fv_transformtv.so

Description
     TransformTV does transform mark effect on the video input. The
     transform is caused by a motion or random rain drops. Ported from
     EffecTV (http://effectv.sourceforge.net).

5.15.52 Tweak timecodes
-----------------------

Internal name
     fv_tctweak

Module
     fv_tctweak.so

Description
     Replace/remove/interpolate timecodes

5.15.53 VertigoTV
-----------------

Internal name
     fv_vertigotv

Module
     fv_vertigotv.so

Description
     VertigoTV is a loopback alpha blending effector with rotating and
     scaling. Ported from EffecTV (http://effectv.sourceforge.net).

5.15.54 WarholTV
----------------

Internal name
     fv_warholtv

Module
     fv_warholtv.so

Description
     WarholTV offers some effects like Andy Warhol's series of
     paintings; 'Marilyn', 'Marilyn Three Times', 'Four Marilyns' etc.
     Ported from EffecTV (http://effectv.sourceforge.net).

5.15.55 WarpTV
--------------

Internal name
     fv_warptv

Module
     fv_warptv.so

Description
     WarpTV does realtime goo'ing of the video input. based on warp-1.1
     SDL demo by Sam Latinga (http://libSDL.org). Original version by
     Emmanuel Marty <core at ggi-project dawt org>. Ported from EffecTV
     (http://effectv.sourceforge.net).

5.15.56 Y'CbCr(A) Colormatrix
-----------------------------

Internal name
     fv_colormatrix_yuv

Module
     fv_colormatrix_yuv.so

Description
     Generic colormatrix (Y'CbCrA). You pass the coefficients in
     Y'CbCr(A) coordinates, but the processing will work in RGB(A) as
     well.

5.15.57 Zoom
------------

Internal name
     fv_zoom

Module
     fv_zoom.so

Description
     Zoom horizontally and/or vertically


File: gmerlin.info,  Node: plugin_vis,  Prev: plugin_fv,  Up: Plugins

5.16 Visualizations
===================

5.16.1 Scope
------------

Internal name
     vis_scope

Module
     vis_scope.so

Description
     Scope plugin

5.16.2 Lemuria
--------------

Internal name
     vis_lemuria

Module
     vis_lemuria.so

Description
     OpenGL visualization with many effects

5.16.3 Goom
-----------

Internal name
     vis_goom

Module
     vis_goom.so

Description
     Goom plugin


File: gmerlin.info,  Node: FAQ,  Next: Get involved,  Prev: Plugins,  Up: Top

6 FAQ
*****

* Menu:

* General questions::
* Installation questions::
* Usage questions::


File: gmerlin.info,  Node: General questions,  Next: Installation questions,  Up: FAQ

6.1 General questions
=====================


File: gmerlin.info,  Node: Installation questions,  Next: Usage questions,  Prev: General questions,  Up: FAQ

6.2 Installation questions
==========================

*Q:* _Why do I have to install so many packages to get all features?_

   *A:* Because having one huge package is not good for people, who
want to use only one small subset of the included libraries or
applications. To make installation a bit easier, there are the
gmerlin-dependencies and gmerlin-all-in-one packages.

   *Q:* _How do I enable Ladspa plugins?_

   *A:* Gmerlin looks for Ladspa plugins in `/usr/lib/ladspa' and
`/usr/local/lib/ladspa' by default. Additional paths can be set with the
`LADSPA_PATH' enviromnent variable.

   *Q:* _Which Ladspa plugins work with gmerlin?_

   *A:* All plugins, which have either 1 or 2 input and output ports.
The numbers of input- and output ports must be equal.

   *Q:* How do I enable DVB?

   *A:* Gmerlin looks for DVB devices in /dev/dvb. Then, you must pass
gmerlin   a channel configuration file created with the dvb-apps
(http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps)   tools. Check
the documentation coming with dvb-apps for how to create channel files.
Gmerlin looks for channel maps   in the directories `$HOME/.szap',
`$HOME/.tzap', `$HOME/.czap',   `$HOME/.azap', `$HOME/.mplayer' and
`$HOME/.xine'. The first time, you load the DVB plugin,   and each time
you changed your channel map, the plugin will tune to each transponder
and get the full   information about the programs (the information
provided by dvp-apps is not sufficient). This can take some time.


File: gmerlin.info,  Node: Usage questions,  Prev: Installation questions,  Up: FAQ

6.3 Usage questions
===================

*Q:* _Ok, I compiled gmerlin and started the player, now how do I  play
a file?_

   *A:* The easiest way is to open the Incoming or Favourites album and
use one of the buttons at the bottom to open a file or URL. Or drag the
file from a filemanager into an album. Later you might want to create
your own albums.

   *Q:* _Can I play a VCD image from harddisk before burning?_

   *A:* Yes. If you use vcdimager, you have 2 files: a .bin file and a
.cue    file. If you load the .cue file with the avdecoder plugin,
you'll be    able to play the VCD image.

   *Q:* _Can I play a DVD image from harddisk or from a mounted DVD
drive?_

   *A:* Yes, in the dvd directory, go to the subdirectory `video_ts'
and load the    file `video_ts.ifo'.

   *Q:* _Can I play an audio CD image from harddisk before burning?_

   *A:* Not yet.

   *Q:* _How can I make gmerlin the default audio CD player on my
Desktop environment?_

   *A:* First, find out how to configure the default audio CD player on
your system.     Usually, you can set a command, which is executed,
when a new audio cd is inserted.     Assuming your cdrom device is
`/dev/hdd', the command for opening and playing    an audio cd is:

   `gmerlin_remote -launch -openplay cda:///dev/hdd'

   If you just want ot open the CD (without starting playback), use:

   `gmerlin_remote -launch -open cda:///dev/hdd'

   *Q:* _How can I make gmerlin the default DVD player on my Desktop
environment?_

   *A:* Same as for audio CDs, but replace `cda://' with `dvd://'.

   *Q:* _How can I configure gmerlin as a Mime handler for media files
on my Desktop environment?_

   *A:* Find out how to set up mime handlers (e.g. right click onto a
file and select "Open with...").     Then, enter the command
`gmerlin_launcher'.

   *Q:* _How can I map multimedia keys on my keyboard to gmerlin
functions?_

   *A:* You need some way to configure custom shell commands for
multimedia keys. Check the documentation of your Desktop system. To
remote control gmerlin, use the commandline program `gmerlin_remote'.
Type `gmerlin_remote -help' for supported options and commands.


File: gmerlin.info,  Node: Get involved,  Prev: FAQ,  Up: Top

7 Get involved
**************

Contribution to gmerlin can happen at several skill levels:

   * Report bugs and installation problems, tell about features you'd
     like to see.

   * Tell us about files, which cannot be played. An URL and some infos
     (other applications       which play the file fine) can help a lot.

   * Make skins. In /usr/local/gmerlin/skins/Default/skin.xml, you'll
     find an example skin description file.

   * Assembler gurus can write more speed optimized routines for gavl

   * Mathematics gurus can write more accurate routines for the higher
     quality levels of gavl.



Tag Table:
Node: Top864
Node: Basics1904
Node: Installation2289
Node: Requirements2500
Node: Compilation and installation8044
Node: Binary codecs9378
Node: General usage information9829
Node: Configuration data10098
Node: GUI10738
Node: gui_intro11052
Node: gui_statdyn11433
Node: gui_i12547
Node: gui_f14255
Node: gui_log15374
Node: gui_tips15938
Node: gml16259
Node: Setting parameters from the commandline17206
Node: Applications19105
Node: GUI Player19411
Node: gmerlin_player_usage19852
Node: Main window20990
Node: player_mainmenu21261
Node: player_display23256
Node: Media tree24271
Node: player_treewidget24976
Node: player_albumwidget27099
Node: Video window29219
Node: gmerlin_player_trackinfo29867
Node: gmerlin_player_avconfig30261
Node: gmerlin_player_shortcuts31051
Node: Player remote control34321
Node: gmerlin_remote34982
Node: gmerlin_remote_examples36883
Node: GUI Transcoder37922
Node: gmerlin_transcoder38337
Node: gmerlin_transcoder_intro39131
Node: gmerlin_transcoder_window41529
Node: transcoder_menubar41901
Node: transcoder_display46374
Node: transcoder_progressbar46734
Node: transcoder_tasklist46963
Node: gmerlin_transcoder_enc47735
Node: gmerlin_transcoder_tracks49296
Node: Transcoder remote control51477
Node: gmerlin_transcoder_remote51738
Node: Commandline player52826
Node: gmerlin_play53042
Node: Alsamixer79294
Node: Visualizer80146
Node: Keyboard daemon81512
Node: Plugins82571
Node: plugin_i83203
Node: plugin_oa85510
Node: plugin_ov86177
Node: plugin_ra86505
Node: plugin_rv87163
Node: plugin_ea87626
Node: plugin_ev89550
Node: plugin_est90586
Node: plugin_eso90954
Node: plugin_e91346
Node: plugin_epp92690
Node: plugin_ir93482
Node: plugin_iw94392
Node: plugin_fa95293
Node: plugin_fv95793
Node: plugin_vis111454
Node: FAQ111939
Node: General questions112112
Node: Installation questions112246
Node: Usage questions113851
Node: Get involved116097

End Tag Table
